Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cryptopro
Class GOST3410PublicKeyAlgParameters

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class GOST3410PublicKeyAlgParameters
extends ASN1Object

Constructor Summary
`GOST3410PublicKeyAlgParameters(ASN1ObjectIdentifier publicKeyParamSet, ASN1ObjectIdentifier digestParamSet)`
`GOST3410PublicKeyAlgParameters(ASN1ObjectIdentifier publicKeyParamSet, ASN1ObjectIdentifier digestParamSet, ASN1ObjectIdentifier encryptionParamSet)`

Method Summary
`ASN1ObjectIdentifier` | `getDigestParamSet()`
`ASN1ObjectIdentifier` | `getEncryptionParamSet()`
`static GOST3410PublicKeyAlgParameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GOST3410PublicKeyAlgParameters` | `getInstance(java.lang.Object obj)`
`ASN1ObjectIdentifier` | `getPublicKeyParamSet()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410PublicKeyAlgParameters

    public GOST3410PublicKeyAlgParameters(ASN1ObjectIdentifier publicKeyParamSet,
                                          ASN1ObjectIdentifier digestParamSet)

### GOST3410PublicKeyAlgParameters

    public GOST3410PublicKeyAlgParameters(ASN1ObjectIdentifier publicKeyParamSet,
                                          ASN1ObjectIdentifier digestParamSet,
                                          ASN1ObjectIdentifier encryptionParamSet)

Method Detail

### getInstance

    public static GOST3410PublicKeyAlgParameters getInstance(ASN1TaggedObject obj,
                                                             boolean explicit)

### getInstance

    public static GOST3410PublicKeyAlgParameters getInstance(java.lang.Object obj)

### getPublicKeyParamSet

    public ASN1ObjectIdentifier getPublicKeyParamSet()

### getDigestParamSet

    public ASN1ObjectIdentifier getDigestParamSet()

### getEncryptionParamSet

    public ASN1ObjectIdentifier getEncryptionParamSet()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD